| Kea 3.0.2-git

option_space.h File Reference
`#include <dhcp/std_option_defs.h>`
`#include <exceptions/exceptions.h>`
`#include <boost/shared_ptr.hpp>`
`#include <map>`
`#include <stdint.h>`
`#include <string>`
Include dependency graph for option_space.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::InvalidOptionSpace
| Exception to be thrown when invalid option space is specified. More...
class | isc::dhcp::OptionSpace
| DHCP option space. More...
class | isc::dhcp::OptionSpace6
| DHCPv6 option space with enterprise number assigned. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef std::map< std::string, OptionSpacePtr > | isc::dhcp::OptionSpaceCollection
| A collection of option spaces.
typedef boost::shared_ptr< OptionSpace > | isc::dhcp::OptionSpacePtr
| A pointer to OptionSpace object.